Subject: [radext] AD review: draft-ietf-radext-ipv6-access-11

From: Benoit Claise <[email-masked]>
Date: Fri, 10 Aug 2012 17:04:08 +0200

Dear authors,

Here is my review. Mainly editorial

- Radius -> RADIUS

- In section 2.1 and section 2.5

OLD:

    DHCPv6 [RFC3315  <http://tools.ietf.org/html/rfc3315>] provides a mechanism to assign one or more or non-
    temporary IPv6 addresses to hosts.

NEW
    DHCPv6 [RFC3315  <http://tools.ietf.org/html/rfc3315>] provides a mechanism to assign one or more non-
    temporary IPv6 addresses to hosts.

- Extend "IPv6CP" something meaningful: PPP's IP v6 Control protocol

- Section 2.3
OLD:
    This document specifies the RADIUS attribute that allows the AAA
    system to provision the announcement by the NAS of a specific Route
    Information Option to an accessing host.

NEW:
    This document specifies the RADIUS attribute that allows the AAA
    server to provision the announcement by the NAS of a specific Route
    Information Option to an accessing host.

- Section 2.4
DHCPv6-PD expands to prefix delegation

- Section 2.2
Recursive DNS Servers. Why recursive?
Same remark for the section 3.2:

    The DNS-Server-IPv6-Address Attribute contains the IPv6 address of a
    _recursive_DNS server. This attribute MAY be included multiple times
    in Access-Accept packets, when the intention is for a NAS to announce
    more than one_recursive_DNS address to an RG/host.

- Section 3.4

    This Attribute contains the name of an assigned pool that SHOULD be
    used to select an IPv6 delegated prefix for the user.  If a NAS does
    not support multiple prefix pools, the NAS MUST ignore this
    Attribute.

What is the user? It's confusing with the end user.
However, section 3.3 mentions:
    This Attribute specifies a prefix (and corresponding route) for the
    user on the NAS, ...

So maybe the solution is:
OLD:

    This Attribute contains the name of an assigned pool that SHOULD be
    used to select an IPv6 delegated prefix for the user.

NEW:

    This Attribute contains the name of an assigned pool that SHOULD be
    used to select an IPv6 delegated prefix for the user on the NAS.

Same remark for the section 3.5
OLD:
    This Attribute contains the name of an assigned pool that SHOULD be
    used to select an IPv6 address for the user.
NEW:
    This Attribute contains the name of an assigned pool that SHOULD be
    used to select an IPv6 address for the user on the NAS.

- Section 3.4
    If a NAS does not support multiple prefix pools, the NAS MUST
    ignore this Attribute.

I'm confused by the "multiple"

Please provide a revised ID, including the editorial improvements from 
Leaf Yeh on the mailing.
Note: Leaf's comments came after the WG LC, but could be made again in 
the IETF LC. So let's ease everybody's live, and let's include them 
directly.

And, finally, for my personal education, where does the "framed" in the 
attribute naming convention come from?

Regards, Benoit (OPS AD)

---

From: Leaf yeh <[email-masked]>
Date: Mon, 13 Aug 2012 08:15:05 +0000

Benoit - Recursive DNS Servers. Why recursive?

We can also find option 23 named  'DNS Recursive Name Server Option' for DHCPv6 (http://www.iana.org/assignments/dhcpv6-parameters/dhcpv6-parameters.xml ). I guess 'recursive' might be a native feature of DNS.

Benoit - where does the "framed" in the attribute naming convention come from?

I guess the 1st 'framed' might appear in the attribute 6 named 'Service-Type' defined in RADIUS  basic protocol, section  5.6 of RFC2865 (http://www.iana.org/assignments/radius-types/radius-types.xml ).

<quote>    Framed              A Framed Protocol should be started for the User, such as PPP or SLIP.  </quote>

The word, 'framed' sounds a 'real convention' per the above statement, because we might use it not only for PPPoE, but also for IPoE in the broadband access. I guess it might mean 'nothing' in this case.

Best Regards,
Leaf

-----------------------------------------------------------------------------------------------------------------
From: [email-masked] [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Friday, August 10, 2012 11:04 PM
To: [email-masked]
Cc: [email-masked]
Subject: [radext] AD review: draft-ietf-radext-ipv6-access-11

Dear authors,

- Radius -> RADIUS

OLD:

   DHCPv6 [RFC3315] provides a mechanism to assign one or more or non-
   temporary IPv6 addresses to hosts. 

NEW 
   DHCPv6 [RFC3315] provides a mechanism to assign one or more non-
   temporary IPv6 addresses to hosts. 

- Section 2.3
OLD:

NEW:

- Section 2.4
   recursive DNS server. This attribute MAY be included multiple times
   more than one recursive DNS address to an RG/host. 

NEW:

- Section 3.4 

Please provide a revised ID, including the editorial improvements from Leaf Yeh on the mailing.
Note: Leaf's comments came after the WG LC, but could be made again in the IETF LC. So let's ease everybody's live, and let's include them directly.

And, finally, for my personal education, where does the "framed" in the attribute naming convention come from?

Regards, Benoit (OPS AD)